Subject: Re: [PATCH 09/10] perf, tools: Add a --no-desc flag to perf list

From: Andi Kleen <[email-masked]>
Date: Thu, 28 May 2015 11:07:05 -0700

On Thu, May 28, 2015 at 02:39:14PM +0200, Jiri Olsa wrote:
> On Wed, May 27, 2015 at 02:23:28PM -0700, Sukadev Bhattiprolu wrote:
> > From: Andi Kleen <[email-masked]>
> > 
> > Add a --no-desc flag to perf list to not print the event descriptions
> > that were earlier added for JSON events. This may be useful to
> > get a less crowded listing.
> > 
> > It's still default to print descriptions as that is the more useful
> > default for most users.
> 
> I might not be typical user, but the first thing I tried to
> explore was 'perf list -v' ;-)
> 
> would it be better to have just the list with event names for:
>    $ perf list
> 
> and with descriptions for:
>    $ perf list -v
> 
> not sure we already discussed this..

It was discussed last time. I think it's better to have descriptions
by default. Far more user friendly.

One thing we could in theory do with -v is to switch between Brief and Public
Description (the later is often more verbose). Would need some changes
to the alias code to have two descriptions though.

-Andi

-- 
[email-masked] -- Speaking for myself only